<script setup lang="ts">
import {
  mdiPlusCircleOutline,
  mdiQrcodePlus,
  mdiSwapHorizontal,
  mdiReceiptTextCheckOutline,
} from "@mdi/js";
import { ref } from "vue";
import { useTableStore } from "@/stores/Table/tables";
import ChangeTableDialog from "./ChangeTableDialog.vue";
import QRCodeDialog from "./QRCodeDialog.vue";

const tableStore = useTableStore();
const changeTable = () => {
  tableStore.changeTableDialog = true;
};
const openQRCode = () => {
  tableStore.qrCodeDialog = true;
};

const showButton = () => {
  // tableStore.showButton = true;
};
</script>

<template>
  <v-container>
    <v-row>
      <v-card height="100px" width="200px" justify-center color="#9AEC7E">
        <v-row justify="start">
          <v-card-title class="text-h5 pa-6">หมายเลขโต๊ะ : 4</v-card-title>
        </v-row>
        <v-row justify="start">
          <span class="subheading pl-7">จำนวนที่นั่งได้ : 4</span>
        </v-row>
      </v-card>
    </v-row>
    <v-row justify="center" class="pt-12">
      <v-btn
        style="width: 500px"
        class="text-h6"
        :prepend-icon="mdiPlusCircleOutline"
        @click="showButton"
        >เปิดโต๊ะ</v-btn
      >
    </v-row>
    <v-row justify="center" class="pt-12">
      <div v-show="tableStore.showButton">
        <v-btn
          style="width: 500px"
          class="text-h6"
          :prepend-icon="mdiQrcodePlus"
          @click="openQRCode"
          >QR Code</v-btn
        >
      </div>
    </v-row>
    <v-row justify="center" class="pt-12">
      <div v-show="tableStore.showButton">
        <v-btn
          style="width: 500px"
          class="text-h6"
          :prepend-icon="mdiSwapHorizontal"
          @click="changeTable"
          >ย้ายโต๊ะ</v-btn
        >
      </div>
    </v-row>
    <v-row justify="center" class="pt-12">
      <div v-show="tableStore.showButton">
        <v-btn
          style="width: 500px"
          class="text-h6"
          :prepend-icon="mdiReceiptTextCheckOutline"
          to="/check-bill"
          >เช็กบิล</v-btn
        >
      </div>
    </v-row>
    <TableDialog></TableDialog>
    <QRCodeDialog></QRCodeDialog>
  </v-container>
</template>

<style scoped></style>
